import { Dialect, Sequelize } from 'sequelize'

const dbName = process.env.DB_NAME
const dbUser = process.env.DB_USER
const dbHost = process.env.DB_HOST
const dbDriver = process.env.DB_DRIVER as Dialect
const dbPassword = process.env.DB_PASSWORD

if (!dbName || !dbUser || !dbHost || !dbDriver || !dbPassword){
    console.error(`Error while reading DB Environment variables! Is maybe the .env file missing?
DB Name: "${dbName}", Host: "${dbHost}", User: "${dbUser}", DB Driver(e.g. postgres): "${dbDriver}"`)
    process.exit(9)
}

const sequelizeConnection = new Sequelize(dbName, dbUser, dbPassword, {
    host: dbHost,
    dialect: dbDriver,
    logging: false
})

export default sequelizeConnection
